<H2>NAME</H2>

<P><B>%name</B> - %description</P>


<H2>SYNOPSIS</H2>

<PRE>
<B>%name</B> [ <B>-s</B> <I>x</I>,<I>y</I> ] [<I>file</I>]
</PRE>

<H2>DESCRIPTION</H2>

<P>
<B>%name</B> reads polygon vertices from <I>file</I> (default: standard input)
and prints the line and sample coordinates of all points on the
polygon lines.  If the <B>-s</b> option is given, <B>%name</B> also prints the
coordinates of each point inside the polygon.
</P><P>
The input is a list of integer (x,y) coordinates, one pair per line:
</P><PRE>
	x0 y0
	x1 y1
	...
</PRE><P>
The output is a similar list, including all points that would lie
on a line between each successive input coordinate pair.
</P>
<H2>OPTIONS</H2>


<DL>
<DT><B>-s</B> <I>x</I>,<I>y</I>
<DD>
Fill the input polygon.  The input coordinates must be
the vertices of a closed polygon (the last coordinate
pair must be the same as the first), and the specified
<I>x</I>,<I>y</I> must be inside the polygon.  The output will
contain all points inside the polygon, as well as all
points on the polygon's boundary.
</DD>
</DL>

<H2>OPERANDS</H2>

<DL>
<DT>[<I>file</I>]</DT>

<DD>	file	input file of polygon vertices
</DD><P>
</P>
</DL>

<H2>EXAMPLES</H2>

<P>
The following command:
</P><PRE>
	poly
	0 0
	0 3
</PRE><P>
yields:
</P><PRE>
	0 0
	1 1
	2 2
	3 3
</PRE><P>
If &quot;roi&quot; contains the corners (in intrinsic line and sample
coordinates) of a region-of-interest, then the following command
will inscribe the boundaries of the region onto &quot;image&quot;:
</P><PRE>
	poly roi | edimg -i image
</PRE>

<H2>FILES</H2>

<P>
None
</P>

<H2>DIAGNOSTICS</H2>

<P>
None
</P>

<H2>RESTRICTIONS</H2>

<P>
The output coordinates appear in order of increasing (x,y)
regardless of the order of the input coordinates.
</P><P>
Output coordinates on polygon edges are generated by a Bresenham
algorithm.  If <B>-s</b> is specified, then output coordinates inside a
polygon are generated by a flood-fill algorithm, using <I>x</I>,<I>y</I> as
a seed location.
</P>

<H2>HISTORY</H2>

<DL>
<DT>Jul 1990</DT>
<DD>
	Written by James Frew, UCSB.
Base IPW routine (Frew, 1990
</DD>
</DL>

<DL>
<DT>Apr 1993</DT>
<DD>
	Ran through Purify.  Dana Jacobsen, ERL-C.
</DD>
</DL>


<DL>
<DT>Aug 1997</DT>
<DD>
	Converted to IPW Version 2.0, D. Marks, USGS, ERL-C
</DD>
</DL>

<H2>BUGS</H2>

<P>
None
</P>

<H2>SEE ALSO</H2>


<DL>
<DT>IPW</DT>
<DD>	<B><A href="edimg.html">edimg</A></B>
</DD>
</DL>
<P>
<A HREF="../bib.html#Frew 1990">Frew 1990</A><BR>
</P>

