<H2>NAME</H2>

<P><B>%name</B> - %description</P>


<H2>SYNOPSIS</H2>

<PRE>
<B>%name</B> [ <B>-1</B> ] [ <B>-2</B> ] [ <B>-4</B> ] [<I>file ...</I>]
</PRE>

<H2>DESCRIPTION</H2>

<P>
<B>%name</B> reads binary integers from <I>file</I> (default: standard input) and
writes either text equivalents to the standard output.  If more
than one <I>file</I> are specified, then they are read in sequence.
</P>
<H2>OPTIONS</H2>


<DL>
<DT><B>-1</B> 
<DD>
Convert 1-byte (char) integers.
</DD>

<P>
<DT><B>-2</B> 
<DD>
Convert 2-byte (short) integers.
</DD>

<P>
<DT><B>-4</B> 
<DD>
Convert 4-byte (long) integers.
</DD>
</DL>

<P>Exactly one of <B>-1</b>, <B>-2</b>, or <B>-4</b> must be specified.
</P>

<H2>OPERANDS</H2>

<DL>

<DT><I>file</I>
<DD>Input file to read binary integers from (default: standard input).
</DD>

</DL>

<H2>EXAMPLES</H2>

<P>
To print the first 100 quantized pixel values from an IPW image
with 2-byte pixels:
<PRE>
     rmhdr | %name -2 | head -100
</PRE>
<P>
Using ipwfile, the number of bytes can be determined automatically:
<PRE>
     rmhdr image | %name -`ipwfile -my image` | head -100
</PRE>

<H2>FILES</H2>

<P>
None.
</P>

<H2>DIAGNOSTICS</H2>


<H2>RESTRICTIONS</H2>

<P>
<B>%name</B> is not an IPW program, but is provided with IPW for use in
shell scripts.
</P><P>
Input values are assumed to be unsigned.
</P>
<H2>HISTORY</H2>


<DL>

<DT>Jul 1990</DT>
<DD>
Written by James Frew, UCSB.
</DD>

<p>

<DT>Dec 1997</DT>
<DD>
Ported to version 2, and renamed from <B>btoa</B> to <B>%name</B>.
J. Domingo, OSU.
</DD>

</DL>

<H2>BUGS</H2>


<H2>SEE ALSO</H2>


<DL>
<DT>IPW:</DT>
<DD><B><A href="text2bin.html">text2bin</A></B>

</DD>

</DL>

