<H2>NAME</H2>

<P><B>%name</B> - %description</P>


<H2>SYNOPSIS</H2>

<PRE>
<B>%name</B> [ <B>-m</B> ] [ <B>-K</B> ] 
</PRE>

<H2>DESCRIPTION</H2>

<P>
<B>%name</B> is one of a group of commands designed to simulate energy,
climate, or hydrologic processes or properties at a point.
Most were originally written as &quot;qdips&quot; (Quick and Dirty Image
Processing System) programs by D. Marks, during the 1980's at UCSB.
</P><P>
<B>%name</B> converts vapor pressure to dew point temperature.
Reads vapor pressure from standard input;
Vapor pressure input in Pa (default) or mb;
Calculates dew point temp in C (default) or K;
Output is to standard output;
</P><P>
(see <I>General Meterology, Byers, 1974</I>)
</P>


<H2>OPTIONS</H2>

<DL>
<DT><B>-m</B> 
<DD>
The input values for vapor pressure are in millibars.
(default: Pa).
</DD>

<P>
<DT><B>-K</B> 
<DD>
Dew point temperatures are outputed in degrees K
(default: C).
</DD>
</DL>

<H2>OPERANDS</H2>

<P>
none
</P>

<H2>EXAMPLES</H2>

<P>
To convert a vapor pressure of 814 Pa to dew point temperature:
</P><PRE>
	echo &quot;814&quot; | <B>%name</B>
</PRE><P>
which yields 4.01 deg C
</P>

<H2>FILES</H2>

<P>
none
</P>

<H2>DIAGNOSTICS</H2>

<P>
none
</P>

<H2>RESTRICTIONS</H2>

<P>
none
</P>

<H2>HISTORY</H2>

<DL>
<DT>Apr 1989</DT>
<DD>
Written by D. Marks, USEPA, Corvallis, OR;
</DD>
</DL>

<DL>
<DT>Apr 1995</DT>
<DD>
Converted to IPW by J. Domingo, OSU, ERL-C
</DD>
</DL>

<H2>BUGS</H2>

<P>
none
</P>

<H2>SEE ALSO</H2>

<DL>
<DT>IPW:</DT>
<DD>
<B><A href="idewpt.html">idewpt</A></B>,
<B><A href="irh2vp.html">irh2vp</A></B>,
<B><A href="rh2vp.html">rh2vp</A></B>,
<B><A href="isatvp.html">isatvp</A></B>,
<B><A href="satvp.html">satvp</A></B>,
<B><A href="sling.html">sling</A></B>,
<B><A href="vptr.html">vptr</A></B>
</DD>
</DL>

<DL>
<DT>Unix</DT>
<DD>
echo
</DD>
</DL>

<P>
<A HREF="../bib.html#Byers 1974">Byers 1974</A>,
</P>

