<H2>NAME</H2>

<P><B>%name</B> - %description</P>


<H2>SYNOPSIS</H2>

<PRE>
<B>%name</B> [ <B>-z</B> <I>elev </I> ] [ <B>-p</B> <I>pressure </I> ] [ <B>-m</B> ] [ <B>-d</B> ] 
</PRE>

<H2>DESCRIPTION</H2>

<P>
<B>%name</B> is one of a group of commands designed to simulate energy,
climate, or hydrologic processes or properties at a point.
Most were originally written as &quot;qdips&quot; (Quick and Dirty Image
Processing System) programs by D. Marks, during the 1980's at UCSB.
</P><P>
<B>%name</B> converts wet and dry bulb temps to vapor pressure;
Reads wet-dry pairs from standard input;
Calculates vapor pressure in Pascals (default) or mb;
Optional elevation, z, is used to calcualte air pressure;
Optional total air pressure (Pa); default is
sea level standard of 101324.6 Pa;
Optional output of dewpoint temp(K);
Output is to standard output;
</P><P>
(see <I>General Meterology, Byers, 1974</I>)
</P>

<H2>OPTIONS</H2>

<DL>
<DT><B>-z</B> <I>elev </I>
<DD>
Use <I>elev</I> to calculate air pressure (default: sea level).
</DD>

<P>
<DT><B>-p</B> <I>pressure </I>
<DD>
<I>pressure</I> is the total air pressure (default: sea level
standard of 101324.6 Pa).
</DD>

<P>
<DT><B>-m</B> 
<DD>
Vapor pressures are outputed in mb (default: Pa).
</DD>

<P>
<DT><B>-d</B> 
<DD>
Dew point temperatures are also outputed in degrees K.
</DD>
</DL>

<H2>OPERANDS</H2>

<P>
none
</P>

<H2>EXAMPLES</H2>

<P>
To calculate vapor pressure from wet/dry bulb temperatures taken
at a site near Park City, Utah:
</P><PRE>
	<B>%name</B> -z 3105 &lt;w_d_tempts
</PRE>
<H2>FILES</H2>

<P>
none
</P>

<H2>DIAGNOSTICS</H2>

<P>
none
</P>

<H2>RESTRICTIONS</H2>

<P>
none
</P>

<H2>HISTORY</H2>

<DL>
<DT>Jun 1983</DT>
<DD>
Written by D. Marks, CSL, UCSB;
</DD>
</DL>

<DL>
<DT>May 1995</DT>
<DD>
Converted to IPW by J. Domingo, OSU, US EPA
</DD>
</DL>

<H2>BUGS</H2>

<P>
none
</P>

<H2>SEE ALSO</H2>

<DL>
<DT>IPW:</DT>
<DD>
<B><A href="dewpt.html">dewpt</A></B>,
<B><A href="idewpt.html">idewpt</A></B>,
<B><A href="irh2vp.html">irh2vp</A></B>,
<B><A href="rh2vp.html">rh2vp</A></B>,
<B><A href="isatvp.html">isatvp</A></B>,
<B><A href="satvp.html">satvp</A></B>,
<B><A href="vptr.html">vptr</A></B>
</DD>
</DL>

<P>
<A HREF="../bib.html#Byers 1974">Byers 1974</A>,
</P>
 
