<H2>NAME</H2>

<P><B>%name</B> - %description</P>


<H2>SYNOPSIS</H2>

<PRE>
<B>%name</B> <B>-t</B> <I>year</I>,<I>month</I>,<I>day</I>,<I>hour</I>[,<I>min</I>,<I>sec</I>] [ <B>-m</B> <I>mask</I> ]
      [<I>geoh</I>]
</PRE>

<H2>DESCRIPTION</H2>

<P>
<B>%name</B> is part of a family of large area, or &quot;global&quot;,
scale radiation transfer simulation, and solar/terrain geometry calculation
tools, developed after the small-scale radiation transfer and terrain structure
tools, developed at UCSB by Jeff Dozier, Jim Frew, and Ralph Dubayah.
</P><P>
All of the global-scale radiation transfer tools are designated by
the &quot;g&quot; prefix in front of the small-scale tool's name.  These tools
assume that solar geometry, atmospheric properties, and sun rise and sun
set vary over the grid, and they also correct for earth curvature when
computing horizons, terrain and sky view factors, and illumantion angles.
</P><P>
These global-scale radiation and terrain processing tools can be applied
to areas of size, up to the entire earth.  The global-scale radiation
and terrain processing tools were originally developed by Kelly Longley,
Oregon State University, at the Corvallis, Oregon, EPA lab, in the early
1990's.
</P><P>
Gsunlight is the global-scale version of the program sunlight.
Gsunlight calculates sun angles (solar azimuth and zenith) for a global
scale area defined by the given geodetic header for the given date
time.  Gsunlight writes an output image to stdout with two bands:
mu (cos solar zenith angle), followed by the solar azimuth (degrees
0 - 360 East from S. Pole).
</P>
<H2>OPTIONS</H2>


<DL>
<DT><B>-t</B> <I>year</I>,<I>month</I>,<I>day</I>,<I>hour</I>[,<I>min</I>,<I>sec</I>]
<DD>
date/time: year, month, day, hour [, min, sec]
(times must be in GMT)
</DD>

<P>
<DT><B>-m</B> <I>mask</I>
<DD>
mask image
</DD>
</DL>

<H2>OPERANDS</H2>

<DL>
<DT>[<I>geoh</I>]</DT>

<DD>	geoh	geodetic header (defaults to stdin) specifying area for
		output image. Geoh can be created from program mkgeoh.
</DD><P>
</P>
</DL>

<H2>EXAMPLES</H2>

<P>
To calculate solar zenith and azmith angles over an area which covers
the continental US, at 6AM, GMT, on Feb 15, 1990:
</P><PRE>
	mkgeoh ... | gsunlight -t 1990,02,15,06
</PRE>
<H2>FILES</H2>

<PRE>
     None
</PRE>

<H2>DIAGNOSTICS</H2>

<DL>

<P>
<DT>None
</DT>
</DL>

<H2>RESTRICTIONS</H2>

<P>
The given geodetic header must be in latitude/longitude projection
with latitudes in degrees from -90 (S.Pole) to 90 (N.Pole) and
longitudes from -180 to 180 (+E,-W).
</P>
<H2>HISTORY</H2>


<DL>
<DT>Oct 1990</DT>
<DD>
	Written by Kelly Longley, Oregon State University,
Environmental Research Laboratory, Corvallis OR
</DD>
</DL>

<DL>
<DT>Jul 1995</DT>
<DD>
	Fixed bug in header read.  Dana Jacobsen, ERL-C.
</DD>
</DL>

<H2>BUGS</H2>

<P>
None that we know of
</P>
<H2>SEE ALSO</H2>


<DL>
<DT>IPW</DT>
<DD>	<B><A href="ghorizon.html">ghorizon</A></B>,
<B><A href="gshade.html">gshade</A></B>,
<B><A href="horizon.html">horizon</A></B>,
<B><A href="mkgeoh.html">mkgeoh</A></B>,
<B><A href="shade.html">shade</A></B>,
<B><A href="sunlight.html">sunlight</A></B>
</DD>
</DL>
<P>Dozier, J., 1980.  &quot;A clear-sky spectral solar radiation model for
	snow-covered mountainous terrain&quot;.  Water Resources Research,
	vol. 16, pp. 709-718.
</P>
<P>Dozier, J., and J. Frew, 1990.  Rapid calculation of terrain parameters
	for radiation modeling from digital elevation data&quot;. IEEE
	Transactions on Geoscience and Remote Sensing, vol. 28, no. 5,
	pp. 963-969.
</P>
<P>Marks, D., R. Dubayah, and K. Longley, 1991.  &quot;Modeling the topographic
	and spectral variability of clear-sky solar radiation at regional
	to continental scales.  Proceedings 1991 IGARSS Symposium,
	Remote Sensing:  Global Monitoring for Earth Management, Espoo,
	Finland, Vol. 3, pp. 1711.
</P>

