<H2>NAME</H2>

<P><B>%name</B> - %description</P>


<H2>SYNOPSIS</H2>

<PRE>
<B>%name</B> [ <B>-m</B> <I>mask</I> ] [ <B>-s</B> <I>solar_image</I> ] [ <B>-z</B> ] [ <B>-i</B> <I>image</I> ] 
</PRE>

<H2>DESCRIPTION</H2>

<P>
Gshade is part of a family of large area, or &quot;global&quot;, scale radiation
transfer simulation, and solar/terrain geometry calculation tools,
developed after the small-scale radiation transfer and terrain structure
tools, developed at UCSB by Jeff Dozier, Jim Frew, and Ralph Dubayah.
</P><P>
All of the global-scale radiation transfer tools are designated by
the &quot;g&quot; prefix in front of the small-scale tool's name.  These tools
assume that solar geometry, atmospheric properties, and sun rise and sun
set vary over the grid, and they also correct for earth curvature when
computing horizons, terrain and sky view factors, and illumantion angles.
</P><P>
These global-scale radiation and terrain processing tools can be applied
to areas of size, up to the entire earth.  The global-scale radiation
and terrain processing tools were originally developed by Kelly Longley,
Oregon State University, at the Corvallis, Oregon, EPA lab, in the early
1990's.
</P><P>
Gshade is the global-scale version of the program shade.
Gshade calculates the cosine of the local illumination angle.
The 2-band input image contains slope and aspect, as output by
ggradient.
</P><P>
The solar image is a 2-band image output by the program gsunlight.
Band 0 of the solar image is cosine solar zenith angle or zenith
angle (deg) if <B>-z</b> is set.  Band 1 is solar azimuth as degrees_ccw
from south (+ E, - W).
</P><P>
Both the solar_image and the input image are required.  They can come
from either the command line (<B>-s</b> or <B>-i</b>), or one from the command line,
and one from the stdin.  The output image is written to stdout.
</P>
<H2>OPTIONS</H2>


<DL>
<DT><B>-m</B> <I>mask</I>
<DD>
mask image
</DD>

<P>
<DT><B>-s</B> <I>solar_image</I>
<DD>
solar_image, with 2-bands; band 0 is cosine solar zenith angle,
band 1 is azimuth as degrees_ccw from south (+ E, - W)
(defaults to stdin)
</DD>

<P>
<DT><B>-z</B> 
<DD>
flag for solar zenith angles (band 0, solar_image) in degrees
</DD>

<P>
<DT><B>-i</B> <I>image</I>
<DD>
input slope/azimuth file (defaults to stdin)
</DD>
</DL>

<H2>OPERANDS</H2>

<P>	solar_image	2-band image, output from program gsunlight
	image		2-band image, output from ggradient
</P><P>
</P>

<H2>EXAMPLES</H2>

<P>
to create a shaded relief image for a dem of the US for June 21, 1990,
at 10AM GMT:
</P>
<PRE>
	mkgeoh .... | gsunlight -t 1990,06,21,10 &gt;solar_image
	gradient US_dem | gshade -s solar_image &gt; US_shade.out
</PRE>
<H2>FILES</H2>

<PRE>
     None
</PRE>

<H2>DIAGNOSTICS</H2>


<H2>RESTRICTIONS</H2>

<P>
Input and solar_images must be in lat/lon geographic projection:
latitudes and longitudes in decimal degrees (90 N to -90 S),
and (-180 to 180 deg +E/-W)
</P>
<H2>HISTORY</H2>


<DL>
<DT>Jul 1990</DT>
<DD>
  Written by Kelly Longley, Oregon State University,
Environmental Research Laboratory, Corvallis OR
(modified version of original IPW shade program)
</DD>
</DL>

<H2>BUGS</H2>

<P>
None
</P>
<H2>SEE ALSO</H2>


<DL>
<DT>IPW</DT>
<DD>	<B><A href="mkgeoh.html">mkgeoh</A></B>,
<B><A href="ggradient.html">ggradient</A></B>,
<B><A href="gradient.html">gradient</A></B>,
<B><A href="shade.html">shade</A></B>
</DD>
</DL>
<P>Dozier, J., and J. Frew, 1990.  Rapid calculation of terrain parameters
	for radiation modeling from digital elevation data&quot;. IEEE
	Transactions on Geoscience and Remote Sensing, vol. 28, no. 5,
	pp. 963-969.
</P>
<P>Marks, D., R. Dubayah, and K. Longley, 1991.  &quot;Modeling the topographic
	and spectral variability of clear-sky solar radiation at regional
	to continental scales.  Proceedings 1991 IGARSS Symposium,
	Remote Sensing:  Global Monitoring for Earth Management, Espoo,
	Finland, Vol. 3, pp. 1711.
</P>

