<H2>NAME</H2>

<P><B>%name</B> - %description</P>


<H2>SYNOPSIS</H2>

<PRE>
<B>%name</B> [ <B>-l</B> ] [ <B>-s</B> ] [<I> image </I>]
</PRE>

<H2>DESCRIPTION</H2>

<P>
This program flips an IPW image.  Either the lines themselves
can be flipped, or the samples within the lines, or both.
</P>
<H2>OPTIONS</H2>


<DL>
<DT><B>-l</B> 
<DD>
Reverse order of image lines
</DD>

<P>
<DT><B>-s</B> 
<DD>
Reverse order of image samples in each line
</DD>
</DL>

<P>At least one of <B>-l</b> and/or <B>-s</b> must be specified.
</P>

<H2>OPERANDS</H2>

<DL>
<DT>[<I> image </I>]</DT>

<DD>	image
</DD><P>
</P>
</DL>

<H2>EXAMPLES</H2>

<P>
An image may be rotated in multiples of 90 degrees as follows:
</P><PRE>
	flip -s | transpose		#  90 degrees clockwise
	flip -l -s			# 180 degrees
	flip -l | transpose		# 270 degrees
</PRE>
<H2>FILES</H2>

<PRE>
     None
</PRE>

<H2>DIAGNOSTICS</H2>

<DL>

<P>
<DT>None
</DT>
</DL>

<H2>RESTRICTIONS</H2>

<P>
If <B>-l</b> is specified then the entire image must fit into memory.
</P><P>
If the output image does not have the canonical IPW line (top to
bottom) and sample (left to right) order, then it will be given
an orientation (&quot;or&quot;) header describing the non-standard ordering.
</P><P>
Geodetic (&quot;geo&quot;) headers, window (&quot;win&quot;) headers, and orientation
(&quot;or&quot;) headers will be modified if they are present.
</P>
<H2>HISTORY</H2>


<DL>
<DT>Jul 1990</DT>
<DD>
	Written by James Frew, UCSB
Base IPW routine (Frew, 1990)
</DD>
</DL>

<DL>
<DT>Apr 1993</DT>
<DD>
	Ran through Purify.  Dana Jacobsen, ERL-C.
</DD>
</DL>

<DL>
<DT>May 1993</DT>
<DD>
	Cast void pointer to character pointer.
</DD>
</DL>

<H2>BUGS</H2>

<P>
None that we know of
</P>
<H2>SEE ALSO</H2>


<DL>
<DT>IPW</DT>
<DD>	<B><A href="rotate.html">rotate</A></B>,
<B><A href="skew.html">skew</A></B>,
<B><A href="transpose.html">transpose</A></B>
</DD>
</DL>

<DL>
<DT>Image</DT>
<DD>	pnmflip, pnmrotate, rleflip, fant, imflip, imrotate
</DD>
</DL>
<P>Frew, J., 1990. The Image Processing Workbench. PhD Thesis, Department
	if Geography, University of California, Santa Barbara, 382p.
</P>

