<H2>NAME</H2>

<P><B>%name</B> - %description</P>


<H2>SYNOPSIS</H2>

<PRE>
#include "orh.h"

ORH_T **
orhread(
	int     fd)		|* image file descriptor	 *|

</PRE>

<H2>DESCRIPTION</H2>

<P>
<B>%name</B> reads a ORH image header from file descriptor fd.  An array
of ORH_T pointers is allocated, one per band.  If a band has a ORH
header, then an ORH_T header is allocated and its address is placed
in the corresponding array element; otherwise, the corresponding
array element is NULL.
</P><P>
Before calling <B>%name</B>, the caller must verify (by calling hrname())
that a ORH header is available for ingesting.
</P><P>
<B>%name</B> is called by application programs to ingest ORH headers.
</P>
<H2>RETURN VALUE</H2>

<P>
pointer to array of ORH_T pointers; else NULL if EOF or error
</P>
<H2>EXAMPLES</H2>



<H2>GLOBALS ACCESSED</H2>

<P>
None.
</P>

<H2>DIAGNOSTICS</H2>

<DL>

<P>
<DT>can't allocate array of &quot;or&quot; header pointers
&quot;or&quot; header: bad band &quot;<I>band</I>&quot;
can't allocate &quot;or&quot; header
&quot;or&quot; header: key &quot;<I>key</I>&quot; has no value
&quot;or&quot; header: bad key &quot;<I>key</I>&quot;
</DT>
</DL>

<H2>RESTRICTIONS</H2>

<P>
None.
</P>

<H2>HISTORY</H2>



<H2>BUGS</H2>

<P>
None.
</P>

<H2>SEE ALSO</H2>



