<H2>NAME</H2>

<P><B>%name</B> - %description</P>


<H2>SYNOPSIS</H2>

<PRE>
#include "ipw.h"
#include "snow.h"

double
g_snow(
     double  rho1,  /* upper snow layer's density (kg/m^3)  */
     double  rho2,  /* lower  "     "        "    (kg/m^3)  */
     double  ts1,   /* upper snow layer's temperature (K)   */
     double  ts2,   /* lower  "     "         "       (K)   */
     double  ds1,   /* upper snow layer's thickness (m)     */
     double  ds2,   /* lower  "     "         "     (m)     */
     double  pa)    /* air pressure (Pa)                    */

</PRE>

<H2>DESCRIPTION</H2>

<P>
<B>%name</B> calculates the heat flow between two snow layers
for both conduction and vapor transport.  See pages 46 and 47
of the reference below.
</P>

<H2>RETURN VALUE</H2>

<P>
heat transfer between snow layers (J/m^2)
</P>


<H2>HISTORY</H2>

<DL>

<DT>Aug 1986</DT>
<DD>
written by D. Marks, CSL, UCSB;
</DD>

<P>

<DT>May 1995</DT>
<DD>
Converted to IPW by J. Domingo, OSU
</DD>
</DL>

<H2>SEE ALSO</H2>

<P>
<A HREF="../bib.html#Anderson 1976">Anderson 1976</A><BR>
</P>

