<H2>NAME</H2>

<P><B>%name</B> - %description</P>


<H2>SYNOPSIS</H2>

<PRE>
#include "snobal.h"

int
do_data_tstep(void)

</PRE>

<H2>DESCRIPTION</H2>

<P>
This routine performs the model's calculations for 1 data timestep
between 2 input-data records which are in the global variables
"input_rec1" and "input_rec2".
<P>
If there's precipitation during the data timestep, the flag
"precip_now" used be TRUE.  Furthermore, the routine requires
that the following precipitation variables have been initialized:
<PRE>
     m_pp
     percent_snow
     rho_snow
     T_pp
</PRE>
<P>
This routine divides the data timestep into the appropriate number
of normal run timesteps.  The input values for each normal timestep
are computed from the two input records by linear interpolation.
<P>
If output is desired for any of the run timesteps (normal, medium,
or small), the appropriate output flags must be set in the proper
timestep's record (i.e., the array "tstep_info").  If any output
flag is set, the routine requires that the global variable "out_func"
point to appropriate output function.
<P>
This routine may return in the middle of a data timestep if:
<PRE>
     a)  the output function pointed to by "out_func" is called, and
     b)  the flag "run_no_snow" is FALSE, and
     c)  there is no snow remaining on the ground at the end of
         timestep
</PRE>
<P>
In this happens, the flag "stop_no_snow" is set to TRUE.


<H2>RETURN VALUE</H2>

<DL>
<DT>TRUE
<DD>The model's calculations were completed.
</DD>

<p>

<DT>FALSE
<DD>
An error occured, and a message explaining the error has
been stored with the 'usrerr' routine.
</DD>

</DL>

<H2>EXAMPLES</H2>


<H2>GLOBALS READ</H2>
 
<PRE>
     e_a
     I_lw
     in_rec
     layer_count
     m_pp_data
     m_rain_data
     m_snow_data
     more_pr_recs
     precip_data
     ro
     ro_data
     run_no_snow
     S_n
     T_a
     T_g
     tstep_info
     u
     z_snow_data
</PRE>

<H2>GLOBALS MODIFIED</H2>
 
<PRE>
     precip_now
     stop_no_snow
</PRE>



<H2>DIAGNOSTICS</H2>



<H2>RESTRICTIONS</H2>

<P>
None.
</P>

<H2>HISTORY</H2>



<H2>BUGS</H2>

<P>
None.
</P>

<H2>SEE ALSO</H2>



