<H2>NAME</H2>

<P><B>%name</B> - %description</P>


<H2>SYNOPSIS</H2>

<PRE>
#include "snobal.h"

void
init_snow(void)

</PRE>

<H2>DESCRIPTION</H2>

<P>
This routine initializes the properties for the snowcover.  It
determines the number of layers, their individual properties,
the cold content for the snowcover and its layers, and the
snowcover's water content.  The following global variables
should be initialized before invoking this routine:
<PRE>
     z_s          depth of snowcover (m)
     rho          density of snowcover (kg/m^3)
     T_s          average temperature of snowcover (K)
     T_s_0        temperature of surface layer of snowcover (K)
     T_s_l        temperature of lower layer of snowcover (K)
     h2o_sat      % of liquid h2o saturation (0 to 1.0)

     max_h2o_vol  maximum liquid h2o content as volume ratio:
                         V_water/(V_snow - V_ice) (unitless)
</PRE>

<H2>RETURN VALUE</H2>

<P>
None.
</P>

<H2>EXAMPLES</H2>



<H2>GLOBALS READ</H2>

<PRE>
     h2o_sat
     layer_count
     m_s_0
     m_s_l
     max_h2o_vol
     rho
     T_s
     T_s_0
     T_s_l
     z_s
</PRE>

<H2>GLOBALS MODIFIED</H2>

<PRE>
     cc_s
     cc_s_0
     cc_s_l
     h2o
     h2o_max
     h2o_total
     h2o_vol
     m_s
     m_s_0
     m_s_l
     rho
     T_s
     T_s_0
     T_s_l
</PRE>

<H2>DIAGNOSTICS</H2>


<H2>RESTRICTIONS</H2>

<P>
None.
</P>

<H2>HISTORY</H2>



<H2>BUGS</H2>

<P>
None.
</P>

<H2>SEE ALSO</H2>



